import { $http } from "./config";
export default {
  // 货主登录
  staffLogin(data) {
    return $http("user/cargo/login", data);
  },
  // 获取航次列表
  getVoyageList(data) {
    return $http("voyage/list", data);
  },

  // 获取航次详情
  getVoyageDetail(data) {
    return $http("/voyage/wx/detail", data);
  },

  // 更新航次
  updateVoyage(data) {
    return $http("/voyage/update", data);
  },

  // 完成航次
  finishVoyage(data) {
    return $http("/voyage/finish", data);
  },

  // 添加航次
  addVoyage(data) {
    return $http("voyage/add", data);
  },

  // 获取媒体列表
  getMediaList(data) {
    return $http("/media/list", data);
  },
  // 导出excel
  exportExcel(data) {
    return $http("/voyage/exportExcel", data);
  },

  // 获取卸货列表
  getDischargeList(data) {
    return $http("/voyage/getDischargeList", data);
  },

  // 获取汽车装货记录
  getTruckLoadRecord(data) {
    return $http("/voyage/getCarLoadRecordList", data);
  },

  // 添加职位
  addRole(data) {
    return $http("/role/permission/addRole", data);
  },

  // 获取权限数据
  getPermisiionData(data) {
    return $http("/role/permission/getPermisiionData", data);
  },

  // 获取角色列表
  getRoleList(data) {
    return $http("/role/permission/list", data);
  },

  // 获取角色下拉列表
  getRoleSelect(data) {
    return $http("/role/permission/getRoleSelect", data);
  },

  // 修改角色信息
  updateRole(data) {
    return $http("/role/permission/updateRole", data);
  },

  // 添加货种
  addCargo(data) {
    return $http("/cargo/add", data);
  },

  // 货种列表
  getCargoList(data) {
    return $http("/cargo/list", data);
  },

  // 获取代理列表
  getAgencyList(data) {
    return $http("/user/cargo/proxy/list", data);
  },

  // 添加代理
  addAgency(data) {
    return $http("/user/cargo/add/proxy", data);
  },

  // 获取货主子账户列表
  getSubAccountList(data) {
    return $http("/user/cargo/account/list", data);
  },

  // 添加货主子账户
  addSubAccount(data) {
    return $http("/user/cargo/add/loginAccount", data);
  },

  // 修改货主子账户
  updateSubAccount(data) {
    return $http("/user/cargo/update/loginAccount", data);
  },

  // 获取角色详情
  getRoleDetail(data) {
    return $http("/role/permission/getRoleDetail", data);
  },

  // 获取登录人权限
  getPermissionByUserId(data) {
    return $http("/role/permission/getPermissionByUserId", data);
  },

  // 添加部门
  addDepartment(data) {
    return $http("/department/add", data);
  },

  // 获取部门列表
  getDepartmentList(data) {
    return $http("/department/list", data);
  },

  // 获取部门下拉
  getDepartmentSelect(data) {
    return $http("/department/select", data);
  },

  // 修改部门
  updateDepartment(data) {
    return $http("/department/update", data);
  },

  // 获取FYDI指数下载链接
  getFYFIDownloadUrl(data) {
    return $http("/fydi/getLastest", data);
  },
  // 获取提货单列表
  getLabList(data) {
    return $http("/voyage/getLabList", data);
  },

  // 获取港口天气列表
  getPortWeatherList(data) {
    return $http("/voyage/getPortWeatherList", data);
  },

  // 获取超期航次提醒
  getLongDaysInPort(data) {
    return $http("/voyage/cargo/longDaysInPort", data);
  },

  // 获取客户列表
  getClientList(data) {
    return $http("/client/account/list", data);
  },

  // 添加客户
  addClient(data) {
    return $http("/client/account/add", data);
  },

  // 修改客户
  updateClient(data) {
    return $http("/client/account/update", data);
  },

  // 获取港口列表
  getCol(data) {
    return $http("/port/getCol", data);
  },

  // 获取货种下拉
  getCargoSelect(data) {
    return $http("/cargo/select", data);
  },
};
